Commit 436fde57 authored by Steve Ikeoka's avatar Steve Ikeoka
Browse files

[GEOS-6977] Prevent conflicts with the WCS and WMS elevation KVP parsers.

parent 51761d3a
......@@ -7,6 +7,7 @@ package org.geoserver.wcs.kvp;
import org.geoserver.config.GeoServer;
import org.geoserver.ows.kvp.ElevationParser;
import org.geoserver.wcs.WCSInfo;
import org.geotools.util.Version;
/**
* A {@link ElevationKvpParser} picking the max number of values to be parsed from the WCS
......@@ -23,6 +24,8 @@ public class ElevationKvpParser extends org.geoserver.ows.kvp.ElevationKvpParser
*/
public ElevationKvpParser(String key, GeoServer geoServer) {
super(key);
setService("WCS");
setVersion(new Version("1.0.0"));
this.geoServer = geoServer;
}
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment